## org.jfree.report.flow.streaming
Class StreamingReportProcessor

    java.lang.Object
      org.jfree.report.flow.AbstractReportProcessor
          org.jfree.report.flow.streaming.StreamingReportProcessor

All Implemented Interfaces:
  ReportProcessor

    public class StreamingReportProcessor

extends AbstractReportProcessor

This is written to use LibLayout. It will never work with other report targets.

Author:
  Thomas Morgner

Constructor Summary
`StreamingReportProcessor()`

Method Summary
`protected LibLayoutReportTarget` `createTarget(ReportJob job)`
`org.jfree.layouting.output.OutputProcessor` `getOutputProcessor()`
`void` `processReport(ReportJob job)`
`void` `setOutputProcessor(org.jfree.layouting.output.OutputProcessor outputProcessor)`

Methods inherited from class org.jfree.report.flow.AbstractReportProcessor
`createFlowControler, createReportContext, processReportRun`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingReportProcessor

    public StreamingReportProcessor()

Method Detail

### getOutputProcessor

    public org.jfree.layouting.output.OutputProcessor getOutputProcessor()

### setOutputProcessor

    public void setOutputProcessor(org.jfree.layouting.output.OutputProcessor outputProcessor)

### processReport

    public void processReport(ReportJob job)
                       throws ReportDataFactoryException,
                              DataSourceException,
                              ReportProcessingException

  Throws:
    `ReportDataFactoryException`
    `DataSourceException`
    `ReportProcessingException`

### createTarget

    protected LibLayoutReportTarget createTarget(ReportJob job)
                                          throws ReportProcessingException

  Throws:
    `ReportProcessingException`